import request from '@/utils/request'

// 查询羊只死淘记录列表
export function listDeath(query) {
  return request({
    url: '/sheep_death/death/list',
    method: 'get',
    params: query
  })
}

// 查询羊只死淘记录详细
export function getDeath(id) {
  return request({
    url: '/sheep_death/death/' + id,
    method: 'get'
  })
}

// 新增羊只死淘记录
export function addDeath(data) {
  return request({
    url: '/sheep_death/death',
    method: 'post',
    data: data
  })
}

// 修改羊只死淘记录
export function updateDeath(data) {
  return request({
    url: '/sheep_death/death',
    method: 'put',
    data: data
  })
}

// 删除羊只死淘记录
export function delDeath(id) {
  return request({
    url: '/sheep_death/death/' + id,
    method: 'delete'
  })
}

// 根据管理耳号查询羊只信息
export function getSheepInfo(manageTags) {
  return request({
    url: '/sheep_death/death/sheepInfo/' + manageTags,
    method: 'get'
  })
}

// 获取疾病树形列表
export function getDiseaseTree() {
  return request({
    url: '/sheep_death/death/disease/tree',
    method: 'get'
  })
}